Bug 29282 - Show items.issue and items.renewals in the holdings table on the detail page in the staff interface
Summary: Show items.issue and items.renewals in the holdings table on the detail page ...
Status: Needs documenting
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff interface (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 30747
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-19 20:57 UTC by Andrew Fuerste-Henry
Modified: 2022-07-29 16:22 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 29282: Add issues and renewals columns to holdings tbale on details page (3.64 KB, patch)
2022-02-14 19:30 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 29282: Add issues and renewals columns to holdings tbale on details page (3.69 KB, patch)
2022-03-04 12:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29282: (follow-up) Account for otherholdings table (1.10 KB, patch)
2022-05-13 15:26 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 29282: Add issues and renewals columns to holdings tbale on details page (3.79 KB, patch)
2022-05-16 16:04 UTC, Biblibre Sandboxes
Details | Diff | Splinter Review
Bug 29282: (follow-up) Account for otherholdings table (1.17 KB, patch)
2022-05-16 16:04 UTC, Biblibre Sandboxes
Details | Diff | Splinter Review
Bug 29282: Add issues and renewals columns to holdings tbale on details page (3.85 KB, patch)
2022-06-16 12:18 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29282: (follow-up) Account for otherholdings table (1.23 KB, patch)
2022-06-16 12:18 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29282: (QA follow-up) Class consistency (3.94 KB, patch)
2022-06-16 12:18 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2021-10-19 20:57:59 UTC
Some users would like to be able to see lifetime checkouts and renewals in the holdings table on a bib detail page. It'd be cool to make those columns available, but toggled off by default.
Comment 1 Fridolin Somers 2021-12-04 06:51:53 UTC
I like the idea
Comment 2 Nick Clemens 2022-02-14 19:30:25 UTC Comment hidden (obsolete)
Comment 3 Teresa Rice 2022-02-14 19:49:16 UTC
We would love to see the total checkouts column from the edit items screen appear on the main bib detail page. this will allow us to immediately see how many times a materials has circulated without having additional clicks. It will aid with acquisitions. Bossier Parish Libraries.
Comment 4 Owen Leonard 2022-03-04 12:16:53 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2022-04-02 22:18:07 UTC
Hi Andrew, this works really nicely and I like that they are hidden by default. 

But could you make the same changes to the otherholdings table so we keep them in sync? 

It's tied to the SeparateHoldings system preference that divides the items between your own and the other branches.
Comment 6 Lucas Gass 2022-05-13 15:26:42 UTC Comment hidden (obsolete)
Comment 7 Biblibre Sandboxes 2022-05-16 16:04:32 UTC Comment hidden (obsolete)
Comment 8 Biblibre Sandboxes 2022-05-16 16:04:36 UTC Comment hidden (obsolete)
Comment 9 Sally 2022-05-16 16:04:57 UTC
Really nice patch - works great, thanks both!
Comment 10 Victor Grousset/tuxayo 2022-05-30 22:07:37 UTC
Is there a reason to use the classes issues_field and renewals_field for the values when the other columns don't have the _field prefix? There doesn't seem to be a name clash in the file with issues and renewals.

Otherwise everything looks good for QA.
Comment 11 Nick Clemens 2022-05-31 11:11:33 UTC
(In reply to Victor Grousset/tuxayo from comment #10)
> Is there a reason to use the classes issues_field and renewals_field for the
> values when the other columns don't have the _field prefix? There doesn't
> seem to be a name clash in the file with issues and renewals.
> 
> Otherwise everything looks good for QA.

I think those classes already has associated styles, and this was just a way to differentiate the view on this page
Comment 12 Martin Renvoize 2022-06-16 11:52:28 UTC
(In reply to Nick Clemens from comment #11)
> (In reply to Victor Grousset/tuxayo from comment #10)
> > Is there a reason to use the classes issues_field and renewals_field for the
> > values when the other columns don't have the _field prefix? There doesn't
> > seem to be a name clash in the file with issues and renewals.
> > 
> > Otherwise everything looks good for QA.
> 
> I think those classes already has associated styles, and this was just a way
> to differentiate the view on this page

I see a .renewals rule in staff-global.scss (though I'm struggling to find anything using the class in the templates right now) but I don't see any rules that would catch an 'issues' class.

I think personally I'd like to see the consistency carried through and the _field dropped from the class names.

Asking Owen for an opinion in case I've missed something obvious.
Comment 13 Martin Renvoize 2022-06-16 12:18:39 UTC
Created attachment 136155 [details] [review]
Bug 29282: Add issues and renewals columns to holdings tbale on details page

To test:
 1 - Apply patch, restart all
 2 - View a record with items in the staff client
 3 - Note issues and renewals columns not shown
 4 - Click the gear to edit visible columns
 5 - Issues and renewals are present and hidden
 6 - Click to view columns
 7 - Confirm counts show, or 0 if item has not circulated/been renewed
 8 - Circulate/renew an item
 9 - Verify counts increase
10 - Make columns visible by default in Admin->Table settings
11 - Confirm columns show by default on details page

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 14 Martin Renvoize 2022-06-16 12:18:43 UTC
Created attachment 136156 [details] [review]
Bug 29282: (follow-up) Account for otherholdings table

This patch accounts for the otherholdins table. To test:

1. Turn on SeparateHoldings
2. Find a record where the items are split by SeparateHoldings.
3. Make sure you can hide columns from the table in the Other holdings tab.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 15 Martin Renvoize 2022-06-16 12:18:47 UTC
Created attachment 136157 [details] [review]
Bug 29282: (QA follow-up) Class consistency

This patch updates the field classes introduced in this patchset to
improve class name consistency.  We remove the _field apendment and to
repvent a clash we update the existing 'renewals' class elsewhere to
'renewals-info' to more clearly reflect it's content.

Test plan
1) The patchset should continue to function as described in prior patches
2) Build the CSS for the staff client
3) Check the 'Checkouts' table on various screens and confirm the
   renewals information still displays as it always has in the table.
Comment 16 Martin Renvoize 2022-06-16 12:21:09 UTC
All works as described. I added a follow-up to make the classes introduced consistent with the rest of the table, but that also entailed updating an existing class elsewhere.  I'll leave it to the RM to decide which way to jump here.. we can push with or without the final followup.

Passing QA
Comment 17 Tomás Cohen Arazi 2022-06-25 14:26:53 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 18 Lucas Gass 2022-07-29 16:22:43 UTC
Enhancment will not be backported to 22.05.x series unless requested